<?php
// database connection details
$host = 'localhost';
$user = 'username';
$pass = 'password';
$dbname = 'database_name';

// connect to the database
$conn = new mysqli($host, $user, $pass, $dbname);

// check for errors
if ($conn->connect_error) {
  die('Connection failed: ' . $conn->connect_error);
}

// set the number of records per page
$records_per_page = 5;

// get// the current page number
if (isset($_GET['page']) && is_numeric($_GET['page'])) {
    $current_page = (int)$_GET['page'];
    } else {
    $current_page = 1;
    }
    
    // get the search term
    $search_term = '';
    if (isset($_GET['search'])) {
    $search_term = $_GET['search'];
    }
    
    // calculate the OFFSET value
    $offset = ($current_page - 1) * $records_per_page;
    
    // build the SQL query
    $sql = "SELECT * FROM items";
    
    if (!empty($search_term)) {
    $sql .= " WHERE name LIKE '%$search_term%' OR description LIKE '%$search_term%'";
    }
    
    $sql .= " LIMIT $records_per_page OFFSET $offset";
    
    // query the database for the records
    $result = $conn->query($sql);
    
    // check for errors
    if (!$result) {
    die('Error retrieving records: ' . $conn->error);
    }
    
    // display the records
    while ($row = $result->fetch_assoc()) {
    echo '<div class="item">';
    echo '<h2>' . $row['name'] . '</h2>';
    echo '<p>' . $row['description'] . '</p>';
    echo '</div>';
    }
    
    // calculate the total number of pages
    $sql = "SELECT COUNT(*) AS total FROM items";
    if (!empty($search_term)) {
    $sql .= " WHERE name LIKE '%$search_term%' OR description LIKE '%$search_term%'";
    }
    $result = $conn->query($sql);
    $row = $result->fetch_assoc();
    $total_pages = ceil($row['total'] / $records_per_page);
    
    // display the pagination links
    echo '<div class="pagination">';
    if ($current_page > 1) {
    echo '<a href="?page=' . ($current_page - 1);
    if (!empty($search_term)) {
     echo '&search=' . urlencode($search_term);
    }
    echo '">Previous</a>';
    }
    for ($i = 1; $i <= $total_pages; $i++) {
    if ($i == $current_page) {
    echo '<span class="current">' . $i . '</span>';
    } else {
    echo '<a href="?page=' . $i;
     if (!empty($search_term)) {
       echo '&search=' . urlencode($search_term);
     }
     echo '">' . $i . '</a>';
    }
    }
    if ($current_page < $total_pages) {
    echo '<a href="?page=' . ($current_page + 1);
    if (!empty($search_term)) {
     echo '&search=' . urlencode($search_term);
    }
    echo '">Next</a>';
    }
    echo '</div>';
    
    // close the database connection
    $conn->close();
    ?>